<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<link rel="stylesheet" href="style.css" type="text/css">
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="Start" href="index.html">
<link rel="next" href="RandList.html">
<link rel="Up" href="index.html">
<link title="Index of types" rel=Appendix href="index_types.html">
<link title="Index of values" rel=Appendix href="index_values.html">
<link title="Index of modules" rel=Appendix href="index_modules.html">
<link title="Utils" rel="Chapter" href="Utils.html">
<link title="RandList" rel="Chapter" href="RandList.html">
<link title="Tree" rel="Chapter" href="Tree.html"><title>Utils</title>
</head>
<body>
<div class="navbar">&nbsp;<a class="up" href="index.html" title="Index">Up</a>
&nbsp;<a class="post" href="RandList.html" title="RandList">Next</a>
</div>
<h1>Module <a href="type_Utils.html">Utils</a></h1>

<pre><span id="MODULEUtils"><span class="keyword">module</span> Utils</span>: <code class="code">sig</code> <a href="Utils.html">..</a> <code class="code">end</code></pre><div class="info module top">
<div class="info-desc">
<p>Some useful tools.</p>
</div>
</div>
<hr width="100%">

<pre><code><span id="TYPEcmp"><span class="keyword">type</span> <code class="type"></code>cmp</span> = </code></pre><table class="typetable">
<tr>
<td align="left" valign="top" >
<code><span class="keyword">|</span></code></td>
<td align="left" valign="top" >
<code><span id="TYPEELTcmp.Lesser"><span class="constructor">Lesser</span></span></code></td>

</tr>
<tr>
<td align="left" valign="top" >
<code><span class="keyword">|</span></code></td>
<td align="left" valign="top" >
<code><span id="TYPEELTcmp.Equal"><span class="constructor">Equal</span></span></code></td>

</tr>
<tr>
<td align="left" valign="top" >
<code><span class="keyword">|</span></code></td>
<td align="left" valign="top" >
<code><span id="TYPEELTcmp.Greater"><span class="constructor">Greater</span></span></code></td>

</tr></table>

<div class="info ">
<div class="info-desc">
<p>Sum type for comparisons.</p>
</div>
</div>


<pre><span id="VALcomp"><span class="keyword">val</span> comp</span> : <code class="type">int -> int -> <a href="Utils.html#TYPEcmp">cmp</a></code></pre><div class="info ">
<div class="info-desc">
<p>Cmparison function.</p>
</div>
</div>

<pre><span id="VALunwrap"><span class="keyword">val</span> unwrap</span> : <code class="type">('a, 'a) Stdlib.result -> 'a</code></pre><div class="info ">
<div class="info-desc">
<p>A function to get the value out of a Result.</p>
</div>
</div>

<pre><span id="VALcontains_ok"><span class="keyword">val</span> contains_ok</span> : <code class="type">('a, 'b) Stdlib.result list -> bool</code></pre><div class="info ">
<div class="info-desc">
<p>Returns true if the list contains an ok Result, false otherwise.</p>
</div>
</div>
</body></html>
